Subject: Re: [Softwires] Alignment between softwire-map-dhcp and dhc-dhcpv4-over-dhcpv6 drafts

From: Ole Troan <[email-masked]>
Date: Fri, 8 Nov 2013 00:24:18 +0100

Ian,

> From a discussion with Bernie and Tomeck earlier: To give some clarity about what the different 4o6 provisioning mechanisms are suitable for, can we add in some text to bound the scope of map-dhcp to provisioning static v4 configuration parameters (i.e. precluding dynamic v4 leasing) with no additional DHCPv4 options and add in an informative pointer to using DHCPv4 over DHCPv6 for dynamic/additional options?
> 
> Likewise, I’m putting a similar back pointer to MAP-DHCP in the dhc-v4-configuration draft:
> 
> For the most simple IPv4 provisioning case, where the client only needs to receive a static IPv4 address range assignment (with no dynamic address leasing or additional IPv4 configuration), DHCPv6 based approaches [ietf-softwire-map-dhcp] may provide a suitable solution.
> 
> The DHCPv4oDHCPv6 doc should have a similar pointer to map-dhcp for static as well.

could you propose some text?
I'm not quite sure what bounding of scope you'd like to see.
all the lifetimes of configuration information defined in MAP DHCP are bounded by the lifetimes of the tunnel,
i.e. the lifetime of the End-user IPv6 prefix.

the IPv4 address assignment will be as dynamic as the underlaying IPv6 assignment is.

what using DHCPv4 address leases gets you, is separate lease times. given that, this mode is incompatible with MAP-T and -E,
I'm not quite sure what this document can say about it?

cheers,
Ole